#!/bin/sh
#----------------------------------------------------------------------------
# /tmp/preinstall.sh - lapacke-dev preinstallation
#
# Creation   :  2018-03-04 holbru
# Last update:  $Id: preinstall.sh 67885 2019-09-11 22:02:17Z hbfl $
#
# Copyright (c) 2018-2023 Holger Bruenjes, holgerbruenjes(at)gmx(dot)net
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#----------------------------------------------------------------------------

# set package name
package_name=lapacke-dev

# ---------------------------------------------------------------------------
# update system
# ---------------------------------------------------------------------------
installed=$(eisman check liblapack-dev)

if [ "${installed}" = "installed" ]
then
    if [ -f /etc/filelist.d/liblapack-dev-files.txt ]
    then
        sed -i '/liblapacke.so/d' /etc/filelist.d/liblapack-dev-files.txt
        sed -i '/usr\/include/d' /etc/filelist.d/liblapack-dev-files.txt
    fi
fi

exit 0
# ---------------------------------------------------------------------------
# end
# ---------------------------------------------------------------------------
